package cn.iocoder.yudao.module.iot.controller.admin.alert.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AlertTypeEnum {

    联动("联动"),
    属性("属性"),
    设备("设备"),
    产品("产品");

    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static AlertTypeEnum fromValue(String value) {
        for (AlertTypeEnum status : AlertTypeEnum.values()) {
            if (status.getValue().equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }

}